@AlexSer

Как понять каких пакетов не хватает для корректной работы Qt программы?

В программе происходит соединение с БД.
Дело в том что на том пк котором я программировал программа включается нормально и видит соединение с Бд. Перекидываю на другой пк со всеми файлами, появляется ошибка связи с БД.
Драйверы MySql скомпилированы. Компилятор MinGW x32
1) Как сделать вывод, чтобы видеть конкретную ошибку в БД.
2) Если не хватает пакетов на других пк, то как понять каких?
ОС windows 10. Установил все пакеты VC 2005 до 2022, поставил коннектор Mysql. Но нет соединения с БД.
Что еще можно сделать?
  • Вопрос задан
  • 55 просмотров
Решения вопроса 1
@Mercury13
Программист на «си с крестами» и не только
sqldrivers\qsqlmysql.dll (именно так, в подкаталоге sqldrivers!!)
Qt5/6Sql.dll

А дальше залезьте Dependency Walker’ом в драйвер qsqlmysql.dll и посмотрите, чего не хватает.
Одни сборки требуют официальный коннектор MySQL, другие от MariaDB.
Дополнительные DLL’ки должны лежать в каталоге с exe.

Я отказался от Qt MySQL именно потому, что при выпуске легко накосячить — а поскольку MySQL не основная фича, это очень не скоро заметят. Написал собственную горбушку, к тому же коннектящуюся к MySQL8.
Ответ написан
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы